
#include "GameNetInterface.h"
#include "GameWorld.h"

using namespace TNL;
using namespace DinastyOnline::Network;

namespace DinastyOnline {
	namespace Network {
		GameNetInterface::GameNetInterface(GameWorld *theWorld, const TNL::Address &bindAddress) : NetInterface(bindAddress) {
			world = theWorld;
		}
	
		void GameNetInterface::idle() {
			checkIncomingPackets();
			processConnections();
		}
	}
}
